---
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Release.Name }}-envs
data:
  {{- if .Values.sentry.enabled }}
  sentryDsn: {{ required "If `.Values.sentry` is enabled, `.Values.sentry.dsn` must be set." .Values.sentry.dsn }}
  sentryEnvironment: {{ .Values.sentry.environment }}
  sentryRelease: "{{ .Chart.Name }}@{{ .Values.appVersion | default .Chart.AppVersion}}"

  {{- end }}
  repdavHost: {{ .Values.podHostname }}
  {{- if .Values.logLevel }}
  repdavLogLevel: {{ .Values.logLevel }}
  {{- end }}
  repdavPort: {{ .Values.service.port | quote }}
  textgridHost: {{ .Values.textgridHost }}
